summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorranke <ranke@f247ebf9-aa24-0410-a698-f940e971ad2b>2009-09-02 04:57:22 +0000
committerranke <ranke@f247ebf9-aa24-0410-a698-f940e971ad2b>2009-09-02 04:57:22 +0000
commitdc22033affd1d3544764f61170aec9cf3adeb941 (patch)
tree0a75f22669057813db51bf41ecf1cca526aeeda2
parent049d0e3fce8aec5b6734366728fff1dd3a1e235d (diff)
Updated scripts for backporting of R 2.9.2
git-svn-id: svn+ssh://stiller/home/schatz/reps/r-backports@60 f247ebf9-aa24-0410-a698-f940e971ad2b
-rw-r--r--backport_others.sh13
-rw-r--r--backport_r-base.sh25
-rw-r--r--build_others.sh1
-rw-r--r--build_r-base.sh2
-rw-r--r--clean.sh5
-rw-r--r--r-doc-scripts/r-doc-html.postinst40
-rw-r--r--r-doc-scripts/r-doc-html.prerm47
-rw-r--r--r-doc-scripts/r-doc-info.postinst27
-rw-r--r--r-doc-scripts/r-doc-info.prerm25
9 files changed, 168 insertions, 17 deletions
diff --git a/backport_others.sh b/backport_others.sh
index 29a9d49..2eb82d4 100644
--- a/backport_others.sh
+++ b/backport_others.sh
@@ -7,7 +7,7 @@
# - Set the R version
# R version against which the software is compiled
-Rversion=2.9.1
+Rversion=2.9.2
echo Distribution is $DIST
echo Architecture is $ARCH
@@ -15,17 +15,18 @@ echo Architecture is $ARCH
text="Recompiled on $DIST for CRAN"
#apt-get update
-pbuilder update
+#pbuilder update
#for i in survival; do
-for i in boot cluster codetools foreign kernsmooth lattice mgcv nlme rmatrix rodbc rpart survival vr littler; do
+for i in rpart survival vr littler; do
+#for i in boot cluster codetools foreign kernsmooth lattice mgcv nlme rmatrix rodbc rpart survival vr littler; do
apt-get source -t unstable $i
cd $i-*
version=`dpkg-parsechangelog | grep ^Version | cut -f2 -d " "`~$DIST"cran".$Rversion
- dch -b -v $version -D $DIST-cran $text
+ dch -b -v $version --force-distribution -D $DIST-cran $text
- sed -i '/^Build-Depends/s/r-base-dev (>= 2\..\..)/r-base-dev (>= 2.9.1-2~etchcran.0)/' debian/control
- sed -i '/^Build-Depends-Indep/s/r-base-dev (>= 2\..\..)/r-base-dev (>= 2.9.1-2~etchcran.0)/' debian/control
+ sed -i '/^Build-Depends/s/r-base-dev (>= 2\..\..)/r-base-dev (>= 2.9.2-1~etchcran.0)/' debian/control
+ sed -i '/^Build-Depends-Indep/s/r-base-dev (>= 2\..\..)/r-base-dev (>= 2.9.2-1~etchcran.0)/' debian/control
dch -a "debian/control: adapt build dependencies on r-base-dev to current backport"
diff --git a/backport_r-base.sh b/backport_r-base.sh
index a7ab71d..760a601 100644
--- a/backport_r-base.sh
+++ b/backport_r-base.sh
@@ -36,12 +36,21 @@ oldversion=`dpkg-parsechangelog | grep ^Version | cut -f2 -d " "`
cranversion=$oldversion"~"$DIST"cran.0"
# Add new version to changelog
-dch -v "${cranversion}" -D $DIST-cran -b "Backport from Debian unstable to Debian $DIST"
+dch -v "${cranversion}" --force-distribution -D $DIST-cran -b "Backport from Debian unstable to Debian $DIST"
-# Reverts for lenny:
-# None at this time
+# Reverts for lenny and etch:
-# Reverts for etch:
+ # 1. R 2.9.2 wants debhelper >= 7.2.3, which is not in lenny nor etch
+ # This also means we have to reinclude debian/r-doc-{info,html}.{postinst,prerm},
+ # thanks Dirk for pointing this out.
+
+ sed -i '/^Build-Depends/s/debhelper (>= 7.2.3)/debhelper/' debian/control
+ dch -a "debian/control: revert Build-Depends: to 'debhelper' since $DIST has a version < 7.2.3"
+ sed -i 's/dh_prep/dh_clean/g' debian/rules
+ dch -a "debian/rules: revert dh_prep calls to dh_clean calls since the latter is not present in this release's version of 'debhelper'"
+ cp ../r-doc-scripts/r-doc-{info,html}.{postinst,prerm} debian
+
+# Reverts for etch only:
if [ $DIST = "etch" ]
then
# 1. Starting with Debian packages for R 2.6.1-2, the build dependency
@@ -98,12 +107,8 @@ then
sed -i '/^Build-Depends/s/, openjdk-6-jdk \[!arm !hppa !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386\]//' debian/control
dch -a "debian/control: Remove build dependence on openjdk"
- # 8. R 2.9.0 wants debhelper >= 7.0.0, which is not in etch
+ # 8. Debhelper in etch is 5.0.42
- sed -i '/^Build-Depends/s/debhelper (>= 7.0.0)/debhelper/' debian/control
- dch -a "debian/control: revert Build-Depends: to 'debhelper' since etch has a version < 7.0.0"
- sed -i 's/dh_prep/dh_clean/g' debian/rules
- dch -a "debian/rules: revert dh_prep calls to dh_clean calls since the latter is not present in this release's version of 'debhelper'"
echo 5 > debian/compat
dch -a "debian/compat: revert 'debhelper' compatibility level to 5"
@@ -113,7 +118,7 @@ then
dch -a "debian/control: revert Depends: of r-base-core to 'ucf' since the version in etch is < 3.0"
fi
-#pbuilder update
+pbuilder update
pdebuild --debbuildopts '-sa' --buildresult /home/ranke/svn/website/www/ranke/r-cran/$DIST-cran/ -- --distribution $DIST --basetgz /var/cache/pbuilder/$DIST-$ARCH-base.tgz --aptcache /exthd/pbuilder/$DIST-$ARCH/aptcache --buildplace /exthd/pbuilder/$DIST-$ARCH/build
if [ $? -ne 0 ]; then
exit
diff --git a/build_others.sh b/build_others.sh
index ffa94d6..d7f8f4a 100644
--- a/build_others.sh
+++ b/build_others.sh
@@ -7,6 +7,7 @@ echo Distribution is $DIST
echo Architecture is $ARCH
apt-get update
+pbuilder update
#for i in survival; do
for i in cluster foreign kernsmooth lattice mgcv nlme rmatrix rodbc rpart survival vr littler; do
diff --git a/build_r-base.sh b/build_r-base.sh
index f78ef50..f9e2fe7 100644
--- a/build_r-base.sh
+++ b/build_r-base.sh
@@ -15,7 +15,7 @@ apt-get source -t $DIST-cran r-base
cd r-base-*
-pbuilder update
+#pbuilder update
pdebuild --debbuildopts '-b' --buildresult /home/ranke/svn/website/www/ranke/r-cran/$DIST-cran/ -- --distribution $DIST --basetgz /var/cache/pbuilder/$DIST-$ARCH-base.tgz --aptcache /exthd/pbuilder/$DIST-$ARCH/aptcache --buildplace /exthd/pbuilder/$DIST-$ARCH/build
if [ $? -ne 0 ]; then
exit
diff --git a/clean.sh b/clean.sh
new file mode 100644
index 0000000..dff61a7
--- /dev/null
+++ b/clean.sh
@@ -0,0 +1,5 @@
+# Author: Johannes Ranke <jranke@uni-bremen.de>
+
+for i in r-base boot cluster codetools foreign kernsmooth lattice mgcv nlme rmatrix rodbc rpart survival vr littler; do
+ rm -rf $i*
+done
diff --git a/r-doc-scripts/r-doc-html.postinst b/r-doc-scripts/r-doc-html.postinst
new file mode 100644
index 0000000..9f030a3
--- /dev/null
+++ b/r-doc-scripts/r-doc-html.postinst
@@ -0,0 +1,40 @@
+#!/bin/sh
+set -e
+
+#DEBHELPER#
+
+# Automatically added by dh_installdocs
+if [ "$1" = configure ] && which install-docs >/dev/null 2>&1; then
+ install-docs -i /usr/share/doc-base/r-admin
+fi
+# End automatically added section
+# Automatically added by dh_installdocs
+if [ "$1" = configure ] && which install-docs >/dev/null 2>&1; then
+ install-docs -i /usr/share/doc-base/r-faq
+fi
+# End automatically added section
+# Automatically added by dh_installdocs
+if [ "$1" = configure ] && which install-docs >/dev/null 2>&1; then
+ install-docs -i /usr/share/doc-base/r-ints
+fi
+# End automatically added section
+# Automatically added by dh_installdocs
+if [ "$1" = configure ] && which install-docs >/dev/null 2>&1; then
+ install-docs -i /usr/share/doc-base/r-data
+fi
+# End automatically added section
+# Automatically added by dh_installdocs
+if [ "$1" = configure ] && which install-docs >/dev/null 2>&1; then
+ install-docs -i /usr/share/doc-base/r-extensions
+fi
+# End automatically added section
+# Automatically added by dh_installdocs
+if [ "$1" = configure ] && which install-docs >/dev/null 2>&1; then
+ install-docs -i /usr/share/doc-base/r-language
+fi
+# End automatically added section
+# Automatically added by dh_installdocs
+if [ "$1" = configure ] && which install-docs >/dev/null 2>&1; then
+ install-docs -i /usr/share/doc-base/r-intro
+fi
+# End automatically added section
diff --git a/r-doc-scripts/r-doc-html.prerm b/r-doc-scripts/r-doc-html.prerm
new file mode 100644
index 0000000..811a7d8
--- /dev/null
+++ b/r-doc-scripts/r-doc-html.prerm
@@ -0,0 +1,47 @@
+#!/bin/sh
+set -e
+
+#DEBHELPER#
+
+# Automatically added by dh_installdocs
+if [ "$1" = remove ] || [ "$1" = upgrade ] && \
+ which install-docs >/dev/null 2>&1; then
+ install-docs -r r-admin
+fi
+# End automatically added section
+# Automatically added by dh_installdocs
+if [ "$1" = remove ] || [ "$1" = upgrade ] && \
+ which install-docs >/dev/null 2>&1; then
+ install-docs -r r-faq
+fi
+# End automatically added section
+# Automatically added by dh_installdocs
+if [ "$1" = remove ] || [ "$1" = upgrade ] && \
+ which install-docs >/dev/null 2>&1; then
+ install-docs -r r-ints
+fi
+# End automatically added section
+# Automatically added by dh_installdocs
+if [ "$1" = remove ] || [ "$1" = upgrade ] && \
+ which install-docs >/dev/null 2>&1; then
+ install-docs -r r-data
+fi
+# End automatically added section
+# Automatically added by dh_installdocs
+if [ "$1" = remove ] || [ "$1" = upgrade ] && \
+ which install-docs >/dev/null 2>&1; then
+ install-docs -r r-extensions
+fi
+# End automatically added section
+# Automatically added by dh_installdocs
+if [ "$1" = remove ] || [ "$1" = upgrade ] && \
+ which install-docs >/dev/null 2>&1; then
+ install-docs -r r-language
+fi
+# End automatically added section
+# Automatically added by dh_installdocs
+if [ "$1" = remove ] || [ "$1" = upgrade ] && \
+ which install-docs >/dev/null 2>&1; then
+ install-docs -r r-intro
+fi
+# End automatically added section
diff --git a/r-doc-scripts/r-doc-info.postinst b/r-doc-scripts/r-doc-info.postinst
new file mode 100644
index 0000000..77832e4
--- /dev/null
+++ b/r-doc-scripts/r-doc-info.postinst
@@ -0,0 +1,27 @@
+#!/bin/sh
+#
+# postinst script for the Debian GNU/Linux r-doc-info package
+# Initial version written by Douglas Bates <bates@stat.wisc.edu>
+# This version written by Dirk Eddelbuettel <edd@debian.org>
+
+set -e
+
+#DEBHELPER#
+
+case "$1" in
+ configure)
+ install-info --quiet --section "Programming" "R-FAQ" /usr/share/info/R-FAQ.info
+ install-info --quiet --section "Programming" "R-admin" /usr/share/info/R-admin.info
+ install-info --quiet --section "Programming" "R-data" /usr/share/info/R-data.info
+ install-info --quiet --section "Programming" "R-exts" /usr/share/info/R-exts.info
+ install-info --quiet --section "Programming" "R-intro" /usr/share/info/R-intro.info
+ install-info --quiet --section "Programming" "R-ints" /usr/share/info/R-ints.info
+ install-info --quiet --section "Programming" "R-lang" /usr/share/info/R-lang.info
+
+ ;;
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ ;;
+esac
diff --git a/r-doc-scripts/r-doc-info.prerm b/r-doc-scripts/r-doc-info.prerm
new file mode 100644
index 0000000..95be602
--- /dev/null
+++ b/r-doc-scripts/r-doc-info.prerm
@@ -0,0 +1,25 @@
+#!/bin/sh
+#
+# prerm script for the Debian GNU/Linux r-doc-info package
+# This version written by Dirk Eddelbuettel <edd@debian.org>
+
+set -e
+
+#DEBHELPER#
+
+case "$1" in
+ remove|purge)
+ install-info --quiet --remove R-FAQ
+ install-info --quiet --remove R-admin
+ install-info --quiet --remove R-data
+ install-info --quiet --remove R-exts
+ install-info --quiet --remove R-intro
+ install-info --quiet --remove R-ints
+ install-info --quiet --remove R-lang
+ ;;
+ upgrade|abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+ *)
+ echo "prerm called with unknown argument \`$1'" >&2
+ ;;
+esac

Contact - Imprint